# Tilde Black Documentation

This repository holds the outward facing guides built by users of https://tilde.black.

## Local Development

### Running the docs

1. You should have python3 pip3 and virtualenv installed on your system.

2. Fork this repository & clone it to your system.

3. Change to the repository directory and run `source ./activate` to install all the dependencies and activate your virtual environment for python.

4. Finally, run:

    $ mkdocs serve

This will launch a local running version of the documentation on https://localhost:8000. As you make changes to the documentation your changes will appear in your local server.

To quit your virtual environment just run the command "deactivate" in your shell.

### Submitting changes

If you would like to contribute to these guides you do not need an account on tilde.black, but you may benefit from discussion in the private forums on that platform. To contribute, clone this repository, make any desired changes, and submit a pull-request.

If you are a member of tilde.black you can create an ssh key on the system, an account on tildegit.org, and maintain your anonymity by performing the pull-request with that account.

Finally, if you would like to send a patch via email or even just content in markdown via email, you can send that content to `fox`.
